Page MenuHomePhabricator

[Bug] Preview gadget no longer working in new sitelinks UI
Closed, ResolvedPublic

Description

The preview gadget no longer works in the new sitelinks UI. It shows a preview of the linked article.

Event Timeline

Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher raised the priority of this task from to Unbreak Now!.
Ricordisamoa added a subscriber: Bene.

@Lydia_Pintscher: This has been priority "Unbreak Now!" for a full month. As this is only considered for the next sprint, could someone set a more realistic priority value instead?

aude added a comment.Feb 26 2015, 6:21 PM

the community has made the gadget somewhat better now, with something next to the site link that I can click to get the preview.

but in my opinion the overlap between the gadget and sitelinks (and also the central notice banner) still isn't so nice.

I would also like a dedicated block (or be able to add it easily) above site links that maybe i could put custom gadget stuff, if I would like.

aude lowered the priority of this task from Unbreak Now! to High.Feb 26 2015, 6:22 PM
aude set Security to None.

@Aklapper changed priority to high.

the community has made the gadget somewhat more usable, although issue remain and general issue of being able to have a place available in the UI for gadgets like this, like we had before.

@aude worked on this and has a new spiffy version. It still has a few issues. Can you publish it?

aude added a comment.Mar 30 2015, 12:58 PM

https://www.wikidata.org/wiki/User:Aude/preview.js and https://www.wikidata.org/wiki/User:Aude/preview.css is what I came up with so far. the toggle "show" / "hide" doesn't work correctly yet.

Bene added a comment.Apr 15 2015, 8:47 PM

The gadget should be obsolete once T67117 is implemented, which I hope is in the near future.

aude added a comment.Apr 15 2015, 8:54 PM

i like hovercards, but imho don't want to need to hover for this. i just like a preview (to load by default) above site links. maybe what i want could be done differently than the gadget.

Bene added a comment.Apr 15 2015, 8:56 PM

Ok, so your use case is a different one than mine. :-) I usually use the gadget only to get a short impression of the Wikipedia article.

By the way, I think we should wait for the UI redesign before implementing a new version of the gadget as lots of things are supposed to change especially in the sitelinks section afaik.

I tried today and the gadget works. Is this ticket obsolete and can be closed?

I'd still like to get Katie's version live.

Jonas renamed this task from Preview gadget no longer working in new sitelinks UI to [Bug] Preview gadget no longer working in new sitelinks UI.Nov 2 2015, 1:34 PM
Jonas added a project: Regression.
Jonas added a subscriber: Jonas.

Can this be closed?

No still waiting for Katie's version to go live.

@Lydia_Pintscher thanks for pointing me to this bug.

To note that I have never been able to get the preview functioning for English Wikisource link. When the preview is clicked, I have an ellipsis and a read more link. I am presuming that the lack of display is some component of the template header that English Wikisource uses for its author and main namespaces.

If someone wishes to have a look, there is a suitable link at https://www.wikidata.org/wiki/Q1081777

Billinghurst added a comment.EditedNov 12 2015, 1:58 PM

and the use of @aude's preview.js/css makes no difference to the output for enWS

though ptWS does give a little

aude added a comment.Nov 12 2015, 2:12 PM

@Billinghurst for some reason, the api returns "..." for the text extracts for enWS

https://en.wikisource.org/w/api.php?callback=jQuery111304344626506790519_1447337282944&action=query&format=json&prop=extracts%7Cpageprops%7Cpageimages&exintro=true&exchars=1000&piprop=thumbnail&pithumbsize=177&titles=Author%3ABarack+Obama

I'm not entirely sure what the extracts api has trouble with here. the script/gadget just shows what the api provides.

@aude Special mediawiki!!! It is the similar issue we see with hovercards, and popups. I was hoping for some magic. Seems that I need to add a phabricator card. Would that be logged against the api?

aude added a comment.Nov 12 2015, 4:30 PM

@Billinghurst I think the extracts api is provided by the TextExtracts extension.

@aude Thanks I will follow through in that regard.

Noting that today I have accessed WD preview.js through my Firefox on my laptop, and it doesn't show as as slide in, it shows as a weird section between the top data section and the lower links section. Noting that on this small screen laptop I don't get the column effect that I get with my large screen (both Firefox browser)

Sjoerddebruin moved this task from Backlog to Bugs on the Wikidata-Gadgets board.Feb 23 2016, 10:38 AM
adrianheine lowered the priority of this task from High to Normal.Feb 23 2016, 12:15 PM

What is the current status of this, @Lydia_Pintscher?

I think it is time to look at using Katie's version.

Addshore closed this task as Resolved.Oct 30 2018, 4:22 PM
Addshore claimed this task.
Addshore added a subscriber: Addshore.

The preview gadget no longer works

What preview gadget?

Is this still an issue?

My preview gadget works

If this is still an issue please re open

Restricted Application added a project: User-Addshore. · View Herald TranscriptOct 30 2018, 4:22 PM

I believe the gadget in question is https://www.wikidata.org/wiki/MediaWiki:Gadget-Preview.js. It might be that this edit by @matej_suchanek fixed it: https://www.wikidata.org/wiki/Special:Diff/524430620. @matej_suchanek, are you able to confirm this ticket is indeed resolved?

My change to the gadget was motivated by migrating from the deprecated config variable, but the problems could have been resolved as well. But the older comments on this task mention an alternative version of the gadget...